<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <style>
    
    /* The Modal (background) */
    .modal {
      display: none; /* Hidden by default */
      position: fixed; /* Stay in place */
      z-index: 1; /* Sit on top */
      padding-top: 100px; /* Location of the box */
      left: 0;
      top: 0;
      width: 100%; /* Full width */
      height: 100%; /* Full height */
      overflow: auto; /* Enable scroll if needed */
      background-color: rgb(0,0,0); /* Fallback color */
      background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    }
    
    /* Modal Content */
    .modal-content {
      background-color: #fefefe;
      margin: auto;
      padding: 20px;
      border: 1px solid #888;
      width: 80%;
    }
    
    /* The Close Button */
    .close {
      color: #aaaaaa;
      float: right;
      font-size: 28px;
      font-weight: bold;
    }
    
    .close:hover,
    .close:focus {
      color: #000;
      text-decoration: none;
      cursor: pointer;
    }
    </style>

  <title>FHIRFlies</title>
  <link href="tailwind.min.css" rel="stylesheet">
  <script src="axios.min.js"></script>
  <script>



    function getEncounterDetails() {
      const params = new URLSearchParams(window.location.search);

      var a = document.getElementById('patientEncountersLink');
      a.href = "patient-encounters.html?patientID=" + params.get('patientID');

      document.getElementById('patientIDDisplay').innerHTML = params.get('patientID');
      document.getElementById('encounterIDDisplay').innerHTML = params.get('encounterID');
      document.getElementById('encounterIDnewDisplay').innerHTML = params.get('encounterID');

      let one = "https://jtdzw8lp-94315.interopland.com/independent-primary-network/fhir/Condition?subject=" + params.get('patientID') + "&encounter=" + params.get('encounterID') + "&_include=Condition:encounter&_include=Condition:patient&_include=Condition:subject&_pretty=true"
      let two = "https://jtdzw8lp-94315.interopland.com/independent-primary-network/fhir/DocumentReference?patient="+ params.get('patientID') + "&encounter=" + params.get('encounterID') +"&_pretty=true"
 
  const requestOne = axios.get(one, {auth: {
          username: 'interop_pit',
          password: 'gviVNTxm3YRIx6Zc8T5s2zBaiBzoE5rUQsVD'
        }
  });

  const requestTwo = axios.get(two, {auth: {
          username: 'interop_pit',
          password: 'gviVNTxm3YRIx6Zc8T5s2zBaiBzoE5rUQsVD'
        }
  });
 
  axios.all([requestOne, requestTwo]).then(axios.spread((...responses) => {
  const responseOne = responses[0]
  const responseTwo = responses[1]
    console.log(responseTwo);

  var result = responseOne.data;
  var mainContainer = document.getElementById("conditionDisplay");
          var tr = document.createElement("tr");
          tr.innerHTML = "<tr><td class='px-2 font-semibold'>Code</td><td class='px-2 font-semibold'>Condition</td><td class='px-2 font-semibold'>Practitioner</td></tr>";
          mainContainer.appendChild(tr);

          for (var i = 0; i < result.entry.length; i++) {
            var tr = document.createElement("tr");
            if (result.entry[i].resource.resourceType == 'Condition') {
              tr.innerHTML = tr.innerHTML + "<td class='border-b border-gray-500 px-2'>" + result.entry[i].resource.code.coding[0].code + '</td>';
              tr.innerHTML = tr.innerHTML + "<td class='border-b border-gray-500 px-2'>" + result.entry[i].resource.code.coding[0].display + '</td>';
              tr.innerHTML = tr.innerHTML + "<td class='border-b border-gray-500 px-2'>" + result.entry[i].resource.asserter.display + '</td>';
            }
            mainContainer.appendChild(tr);
          }
        
          var result1 = responseTwo.data;
  var mainContainer1 = document.getElementById("DocumentDisplay");
          var tr1 = document.createElement("tr");
          tr1.innerHTML = "<tr><td class='px-2 font-semibold'>URL</td></tr>";
          mainContainer1.appendChild(tr1);

          for (var j = 0; j < result1.entry.length; j++) {
            var tr = document.createElement("tr");

            if (result1.entry[j].resource.resourceType == 'DocumentReference') {

              tr.innerHTML = tr.innerHTML + "<td class='border-b border-gray-500 px-2 hover:underline text-blue-800'><a href="+ result1.entry[j].resource.content[0].attachment.url +" target='_blank'>" + result1.entry[j].resource.content[0].attachment.url + '</a></td>';
              //$.entry[0].resource.content[0].attachment.url
            }
            mainContainer1.appendChild(tr);
          }

  

  // use/access the results 
  })) .catch(error => console.error(error));
} window.onload = getEncounterDetails;
 
var btn = document.getElementById("myBtn");

btn.onclick = function() {
  modal.style.display = "block";
}

    





  </script>
</head>
<body class="m-4 bg-gray-300 text-gray-700 text-lg">
  <div class="grid grid-rows-1 grid-flow-col justify-center">
    <div><img class="h-12" src="logo.png"></div>
    <div class="text-4xl font-bold px-4">FHIRFlies Case Transparency App</div>
  </div>

  <div class="flex flex-nowrap p-2 justify-between items-center">
    <h2 class="text-3xl font-semibold">Encounter Details</h2>
    <div>
    <div class="text-lg underline"><a id="patientEncountersLink" href='#'> Back to Patient Encounters</a></div>
    <div class="flex flex-nowrap items-start p-2">
      <button type="button" class="rounded-md border p-2 bg-blue-600 font-medium text-white hover:bg-red-700" id="myBtn">
        Initiate Communication
      </button>
    </div>

  </div>
  </div>

 <!-- <button id="myBtn">Open Modal</button> -->

  <!-- The Modal -->
  <div id="myModal" class="modal">
  
    <!-- Modal content -->
    <div class="modal-content">
      <span class="close">&times;</span>
      <p>Email Initiate communication with case id <span id="encounterIDnewDisplay"></span></p>
    </div>
  
  </div>
  
  <script>
    // Get the modal
    var modal = document.getElementById("myModal");
    
    // Get the button that opens the modal
    var btn = document.getElementById("myBtn");
    
    // Get the <span> element that closes the modal
    var span = document.getElementsByClassName("close")[0];
    
    // When the user clicks the button, open the modal 
    btn.onclick = function() {
      modal.style.display = "block";
    }
    
    // When the user clicks on <span> (x), close the modal
    span.onclick = function() {
      modal.style.display = "none";
    }
    
    // When the user clicks anywhere outside of the modal, close it
    window.onclick = function(event) {
      if (event.target == modal) {
        modal.style.display = "none";
      }
    }
    </script>

  <div class="flex flex-nowrap p-2">
    <div class="font-semibold px-2 bg-blue-500 text-white w-48">Patient ID</div>
    <div class="ml-2" id="patientIDDisplay"></div>
  </div>
  <div class="flex flex-nowrap items-center p-2">
    <div class="font-semibold px-2 bg-blue-500 text-white w-48">Encounter ID</div>
    <div class="ml-2" id="encounterIDDisplay"></div>
  </div>
  <div class="flex flex-nowrap items-start p-2">
    <div class="font-semibold px-2 bg-blue-500 text-white w-48">Conditions</div>
    <div class="ml-2" id="conditionDisplay"></div>
  </div>
  <div class="flex flex-nowrap items-start p-2">
    <div class="font-semibold px-2 bg-blue-500 text-white w-48">Progress Notes</div>
    <div class="ml-2 text-sm" id="DocumentDisplay"></div>
  </div>

</body>

</html>